# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			vamp-libxtract-plugins
Summary:		A set of Vamp plugins for low-level audio feature extraction
Group:			Productivity/Multimedia/Sound/Utilities
Version:		0.4.5.20081202
Release:		3.2
License:		GPL
Source:			%{name}-%{version}.tar.gz
Patch:			%{name}-gcc44.patch
URL:			http://sourceforge.net/projects/vamp/
BuildRequires:	fftw3-devel
BuildRequires:	gcc-c++
BuildRequires:	libxtract-devel
BuildRequires:	pkgconfig
BuildRequires:	vamp-plugin-sdk-devel
Requires:		fftw3
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-build

%description
A set of Vamp plugins (http://www.sonicvisualiser.org/vamp.html) for
low-level audio feature extraction using Jamie Bullock's libxtract
(http://sourceforge.net/projects/libxtract/).

Plugin code by Chris Cannam and Jamie Bullock, Copyright 2006-2007
Queen Mary, University of London and Jamie Bullock.



%prep
%setup -q -n %{name}-%{version}
%patch -p1

%build
%__make %{?jobs:-j%{jobs}} \
	PLUGIN_LIBS="-lvamp-sdk -lxtract -L%{_libdir} -lfftw3f"

%install
%__install -dm 755 %{buildroot}%{_libdir}/vamp
%__install -m 644 vamp-libxtract.so \
	%{buildroot}%{_libdir}/vamp
%__install -m 644 vamp-libxtract.cat \
	%{buildroot}%{_libdir}/vamp

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root,0755)
%doc COPYING README STATUS
%dir %{_libdir}/vamp
%{_libdir}/vamp/vamp-libxtract.so
%{_libdir}/vamp/vamp-libxtract.cat

%changelog
* Mon Dec  8 2008 toni@links2linux.de
- update to 0.4.5.20081202
* Sun Mar 23 2008 toni@links2linux.de
- rebuild with new vamp-plugin-sdk
* Fri Oct 19 2007 toni@links2linux.de
- update to 0.4.2.20071019
* Wed Sep 26 2007 toni@links2linux.de
- openSUSE-10.3 build
* Tue Apr 24 2007 toni@links2linux.de
- initial package 0.4.2
